Skip Navigation
Expand
Best Practices for keeping an Add-in's .Net version current
Answer ID 10087   |   Last Review Date 03/08/2020

How can we update Add-Ins to use the most recent .Net version?

Environment:

Customizations, Add-Ins, .NET Framework
Oracle B2C Service (OSvC)

Resolution:

One thing to note, Oracle best practices suggest to always compile your Add-Ins to match the .Net version of your workstations.

Updating an Add-In's .Net version is fairly simple. The first thing you will need to do is download the latest .Net version available. They can be found here: .Net install. Once you have the desired version of .Net that you want to develop against you should re-compile all existing add-ins to use that version of the framework. This is fairly simple to do. For each of your add-ins open their Visual Studio project. Once it is open follow these steps:

1. First you will need to locate the Solution Explorer:

Solution Explorer

2. Double Click on the Properties Item. This will open a new tab with build and application options.

Application options

3. Select the Application item. 

Application item > Target framework > .NET Framework 4.6

4. Change Target framework to the version of .Net that you are going to use.